/*
 * $Id: channeltab.h,v 1.10 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#ifndef CHANNELTAB_H
#define CHANNELTAB_H

#include <kaction.h>
#include <kwirctab.h>
class ServerTab;
class Channel;


class ChannelTab : public KwircTab
{
	Q_OBJECT
	private:
		ServerTab *serverTab;
	public:
		ChannelTab(Channel *se, const QString& text, ServerTab *tab,
			const KShortcut& cut = KShortcut());
		virtual	~ChannelTab();
		virtual ServerTab *getServerTab();
	public:
		virtual void deletedServerElem();
};

#endif
