/*
 * $Id: querytab.cpp,v 1.8 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#include "querytab.h"
#include "kwirctab.h"
#include "kwircpreferences.h"
#include "nick.h"

QueryTab::QueryTab(Nick *se, const QString& text, ServerTab * tab,
		const KShortcut& cut)
	 :KwircTab(se, text, KwircPreferences::getNotIcon(KwircTab::NOT_RESET),
			 cut)
{
	serverTab = tab;
	setResetIcon();
}

QueryTab::~QueryTab()
{
}

ServerTab *QueryTab::getServerTab()
{
	return serverTab;
}
