/*
 * $Id: channelview.cpp,v 1.3 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#include "channelview.h"
#include "topicview.h"
#include "kwirctext.h"

ChannelView::ChannelView(QWidget *parent, const char *name)
	:KwircTabView(parent, name)
{
	topicView = new TopicView(this);
	setKwircText(new KwircText(this));
}

ChannelView::~ChannelView()
{
}

TopicView *ChannelView::getTopicView()
{
	return topicView;
}
