/*
 * $Id: querytab.h,v 1.9 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef QUERYTAB_H
#define QUERYTAB_H

#include <kaction.h>
#include "kwirctab.h"

class Nick;

class QueryTab : public KwircTab
{
	Q_OBJECT
	private:
		ServerTab *serverTab;
	public:
		QueryTab(Nick *se, const QString& text,  ServerTab *tab,
			const KShortcut& cut = KShortcut());
		~QueryTab();
		virtual ServerTab *getServerTab();
};

#endif
